<!-- task部分の処理 -->
<!--  作成途中だがそもそもクラス分割のために設計段階から考えた方がいい -->
<!-- <template>
    <ul>
        <li v-for="task in tasks" v-bind:key="task.id">
        <input type="checkbox" v-bind:checked="task.done"
        v-on:change="toggleTaskStatus(task)">
        {{ task.name }}
        -
        <span v-for="id in task.labelIds" v-bind:key="id">
            {{ getLabelText(id) }}
        </span>
        </li>
    </ul>
    <form v-on:submit.prevent="addTask">
        <input type="text" v-model="newTaskName" placeholder="新しいタスク">
    </form>
</template>

<script>
export default {
    name: 'printTask',
    computed: {
        tasks () {
            return this.$store.getters.filteredTasks
        },
        labels () {
            return this.$store.state.labels
        }
    },
    methods: {
        addTask () {
            this.$store.commit('addTask', {
                name: this.newTaskName,
                labelIds: this.newTasl
            })
        }
        toggleTaskStatus (task) {
            this.$store.commit('toggleTaskStatus', {
                id: task.id
            })
        },
        getLabelText (id) {
            const label = this.labels.filter(label => 
            label.id == id)[0]
            return label ? label.text : ''
        }
    }
    
}
</script> -->